## tuned 2.8.0

=== Makefile ===
NAME = tuned
# set to devel for nightly GIT snapshot
BUILD = release
# which config to use in mock-build target
MOCK_CONFIG = rhel-7-x86_64
# scratch-build for triggering Jenkins
SCRATCH_BUILD_TARGET = rhel-7.2-candidate
VERSION = $(shell awk '/^Version:/ {print $$2}' tuned.spec)
GIT_DATE = $(shell date +'%Y%m%d')
ifeq ($(BUILD), release)
	RPM_ARGS += --without snapshot
	MOCK_ARGS += --without=snapshot
	RPM_VERSION = $(NAME)-$(VERSION)-1
else
	RPM_ARGS += --with snapshot
	MOCK_ARGS += --with=snapshot
	GIT_SHORT_COMMIT = $(shell git rev-parse --short=8 --verify HEAD)
	GIT_SUFFIX = $(GIT_DATE)git$(GIT_SHORT_COMMIT)
	GIT_PSUFFIX = .$(GIT_SUFFIX)
	RPM_VERSION = $(NAME)-$(VERSION)-1$(GIT_PSUFFIX)
endif
UNITDIR_FALLBACK = /usr/lib/systemd/system
UNITDIR_DETECT = $(shell rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
UNITDIR = $(UNITDIR_DETECT:%{_unitdir}=$(UNITDIR_FALLBACK))
TMPFILESDIR_FALLBACK = /usr/lib/tmpfiles.d
TMPFILESDIR_DETECT = $(shell rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
TMPFILESDIR = $(TMPFILESDIR_DETECT:%{_tmpfilesdir}=$(TMPFILESDIR_FALLBACK))
VERSIONED_NAME = $(NAME)-$(VERSION)$(GIT_PSUFFIX)

DATADIR = /usr/share
DOCDIR = $(DATADIR)/doc/$(NAME)
PYTHON_SITELIB = $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib();' || echo /usr/lib/python2.7/site-packages)
TUNED_PROFILESDIR = /usr/lib/tuned
BASH_COMPLETIONS = $(DATADIR)/bash-completion/completions

release-dir:
	mkdir -p $(VERSIONED_NAME)

release-cp: release-dir
	cp -a AUTHORS COPYING INSTALL README $(VERSIONED_NAME)

	cp -a tuned.py tuned.spec tuned.service tuned.tmpfiles Makefile tuned-adm.py \
		tuned-adm.bash dbus.conf recommend.conf tuned-main.conf 00_tuned \
		bootcmdline modules.conf com.redhat.tuned.policy \
		com.redhat.tuned.gui.policy tuned-gui.py tuned-gui.glade \
		tuned-gui.desktop $(VERSIONED_NAME)
	cp -a doc experiments libexec man profiles systemtap tuned contrib icons \
		$(VERSIONED_NAME)

archive: clean release-cp
	tar cjf $(VERSIONED_NAME).tar.bz2 $(VERSIONED_NAME)

rpm-build-dir:
	mkdir rpm-build-dir

srpm: archive rpm-build-dir
	rpmbuild --define "_sourcedir `pwd`/rpm-build-dir" --define "_srcrpmdir `pwd`/rpm-build-dir" \
		--define "_specdir `pwd`/rpm-build-dir" --nodeps $(RPM_ARGS) -ts $(VERSIONED_NAME).tar.bz2

rpm: archive rpm-build-dir
	rpmbuild --define "_sourcedir `pwd`/rpm-build-dir" --define "_srcrpmdir `pwd`/rpm-build-dir" \
		--define "_specdir `pwd`/rpm-build-dir" --nodeps $(RPM_ARGS) -tb $(VERSIONED_NAME).tar.bz2

clean-mock-result-dir:
	rm -f mock-result-dir/*

mock-result-dir:
	mkdir mock-result-dir

# delete RPM files older than cca. one week if total space occupied is more than 5 MB
tidy-mock-result-dir: mock-result-dir
	if [ `du -bs mock-result-dir | tail -n 1 | cut -f1` -gt 5000000 ]; then \
		rm -f `find mock-result-dir -name '*.rpm' -mtime +7`; \
	fi

mock-build: srpm
	mock -r $(MOCK_CONFIG) $(MOCK_ARGS) --resultdir=`pwd`/mock-result-dir `ls rpm-build-dir/*$(RPM_VERSION).*.src.rpm | head -n 1`&& \
	rm -f mock-result-dir/*.log

mock-devel-build: srpm
	mock -r $(MOCK_CONFIG) --with=snapshot \
		--define "git_short_commit `if [ -n \"$(GIT_SHORT_COMMIT)\" ]; then echo $(GIT_SHORT_COMMIT); else git rev-parse --short=8 --verify HEAD; fi`" \
		--resultdir=`pwd`/mock-result-dir `ls rpm-build-dir/*$(RPM_VERSION).*.src.rpm | head -n 1` && \
	rm -f mock-result-dir/*.log

createrepo: mock-devel-build
	createrepo mock-result-dir

# scratch build to triggering Jenkins
scratch-build: mock-devel-build
	brew build --scratch --nowait rhel-7.2-candidate `ls mock-result-dir/*$(GIT_DATE)git*.*.src.rpm | head -n 1`

nightly: tidy-mock-result-dir createrepo scratch-build
	rsync -ave ssh --delete --progress mock-result-dir/ jskarvad@fedorapeople.org:/home/fedora/jskarvad/public_html/tuned/devel/repo/

install-dirs:
	mkdir -p $(DESTDIR)$(PYTHON_SITELIB)
	mkdir -p $(DESTDIR)$(TUNED_PROFILESDIR)
	mkdir -p $(DESTDIR)/var/lib/tuned
	mkdir -p $(DESTDIR)/var/log/tuned
	mkdir -p $(DESTDIR)/run/tuned
	mkdir -p $(DESTDIR)$(DOCDIR)

install: install-dirs
	# library
	cp -a tuned $(DESTDIR)$(PYTHON_SITELIB)

	# binaries
	install -Dpm 0755 tuned.py $(DESTDIR)/usr/sbin/tuned
	install -Dpm 0755 tuned-adm.py $(DESTDIR)/usr/sbin/tuned-adm
	install -Dpm 0755 tuned-gui.py $(DESTDIR)/usr/sbin/tuned-gui
	$(foreach file, $(wildcard systemtap/*), \
		install -Dpm 0755 $(file) $(DESTDIR)/usr/sbin/$(notdir $(file));)

	# glade
	install -Dpm 0755 tuned-gui.glade $(DESTDIR)$(DATADIR)/tuned/ui/tuned-gui.glade

	# tools
	install -Dpm 0755 experiments/powertop2tuned.py $(DESTDIR)/usr/bin/powertop2tuned

	# configuration files
	install -Dpm 0644 tuned-main.conf $(DESTDIR)/etc/tuned/tuned-main.conf
	# None profile in the moment, autodetection will be used
	echo -n > $(DESTDIR)/etc/tuned/active_profile
	install -Dpm 0644 bootcmdline $(DESTDIR)/etc/tuned/bootcmdline
	install -Dpm 0644 modules.conf $(DESTDIR)/etc/modprobe.d/tuned.conf

	# profiles & system config
	cp -a profiles/* $(DESTDIR)$(TUNED_PROFILESDIR)/
	mv $(DESTDIR)$(TUNED_PROFILESDIR)/realtime/realtime-variables.conf \
		$(DESTDIR)/etc/tuned/realtime-variables.conf
	mv $(DESTDIR)$(TUNED_PROFILESDIR)/realtime-virtual-guest/realtime-virtual-guest-variables.conf \
		$(DESTDIR)/etc/tuned/realtime-virtual-guest-variables.conf
	mv $(DESTDIR)$(TUNED_PROFILESDIR)/realtime-virtual-host/realtime-virtual-host-variables.conf \
		$(DESTDIR)/etc/tuned/realtime-virtual-host-variables.conf
	mv $(DESTDIR)$(TUNED_PROFILESDIR)/cpu-partitioning/cpu-partitioning-variables.conf \
		$(DESTDIR)/etc/tuned/cpu-partitioning-variables.conf
	install -pm 0644 recommend.conf $(DESTDIR)$(TUNED_PROFILESDIR)/recommend.conf

	# bash completion
	install -Dpm 0644 tuned-adm.bash $(DESTDIR)$(BASH_COMPLETIONS)/tuned-adm

	# runtime directory
	install -Dpm 0644 tuned.tmpfiles $(DESTDIR)$(TMPFILESDIR)/tuned.conf

	# systemd units
	install -Dpm 0644 tuned.service $(DESTDIR)$(UNITDIR)/tuned.service

	# dbus configuration
	install -Dpm 0644 dbus.conf $(DESTDIR)/etc/dbus-1/system.d/com.redhat.tuned.conf

	# grub template
	install -Dpm 0755 00_tuned $(DESTDIR)/etc/grub.d/00_tuned

	# polkit configuration
	install -Dpm 0644 com.redhat.tuned.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.policy
	install -Dpm 0644 com.redhat.tuned.gui.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.gui.policy

	# manual pages
	$(foreach man_section, 5 7 8, $(foreach file, $(wildcard man/*.$(man_section)), \
		install -Dpm 0644 $(file) $(DESTDIR)$(DATADIR)/man/man$(man_section)/$(notdir $(file));))

	# documentation
	cp -a doc/* $(DESTDIR)$(DOCDIR)
	cp AUTHORS COPYING README $(DESTDIR)$(DOCDIR)

	# libexec scripts
	$(foreach file, $(wildcard libexec/*), \
		install -Dpm 0755 $(file) $(DESTDIR)/usr/libexec/tuned/$(notdir $(file));)

	# icon
	install -Dpm 0644 icons/tuned.svg $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/tuned.svg

	# desktop file
	install -dD $(DESTDIR)$(DATADIR)/applications
	desktop-file-install --dir=$(DESTDIR)$(DATADIR)/applications tuned-gui.desktop

clean:
	find -name "*.pyc" | xargs rm -f
	rm -rf $(VERSIONED_NAME) rpm-build-dir

test:
	python -m unittest discover tests

lint:
	pylint -E -f parseable tuned *.py

.PHONY: clean archive srpm tag test lint

=== debian/changelog ===
tuned (2.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #789592)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 29 Apr 2017 07:37:27 +0200

=== debian/control ===
Source: tuned
Section: admin
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9),
               desktop-file-utils,
               dh-python,
               dh-systemd,
               ethtool,
               hdparm,
               pkg-config,
               python-all,
               python-configobj,
               python-dbus,
               python-decorator,
               python-flexmock,
               python-gi,
               python-pyudev,
               systemd
Standards-Version: 3.9.8
Homepage: http://www.tuned-project.org/
Vcs-Git: https://anonscm.debian.org/collab-maint/tuned.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tuned.git

Package: tuned
Architecture: all
Depends: dbus,
         ethtool,
         gawk,
         hdparm,
         policykit-1 (>= 0.105-17~),
         procps,
         python-configobj,
         python-dbus,
         python-decorator,
         python-gi,
         python-pyudev,
         virt-what,
         ${misc:Depends},
         ${python:Depends}
Description: daemon for monitoring and adaptive tuning of system devices
 The tuned package contains a daemon that tunes system settings dynamically.
 It does so by monitoring the usage of several system components periodically.
 Based on that information components will then be put into lower or higher
 power saving modes to adapt to the current usage. Currently only ethernet
 network and ATA harddisk devices are implemented.

Package: tuned-gtk
Architecture: all
Depends: gir1.2-gtk-3.0,
         powertop,
         python-gi,
         tuned (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: GTK+ GUI for tuned
 The tuned package contains a daemon that tunes system settings dynamically.
 It does so by monitoring the usage of several system components periodically.
 Based on that information components will then be put into lower or higher
 power saving modes to adapt to the current usage. Currently only ethernet
 network and ATA harddisk devices are implemented.
 .
 This package contains the GTK+ GUI that can control tuned and provides simple
 profile editor.

Package: tuned-utils
Architecture: all
Depends: powertop,
         tuned (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: various tuned utilities
 The tuned package contains a daemon that tunes system settings dynamically.
 It does so by monitoring the usage of several system components periodically.
 Based on that information components will then be put into lower or higher
 power saving modes to adapt to the current usage. Currently only ethernet
 network and ATA harddisk devices are implemented.
 .
 This package contains utilities that can help you to fine tune and
 debug your system and manage tuned profiles.

Package: tuned-utils-systemtap
Architecture: all
Depends: systemtap,
         tuned (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: disk and net statistic monitoring systemtap scripts
 The tuned package contains a daemon that tunes system settings dynamically.
 It does so by monitoring the usage of several system components periodically.
 Based on that information components will then be put into lower or higher
 power saving modes to adapt to the current usage. Currently only ethernet
 network and ATA harddisk devices are implemented.
 .
 This package contains several systemtap scripts to allow detailed
 manual monitoring of the system. Instead of the typical IO/sec it collects
 minimal, maximal and average time between operations to be able to
 identify applications that behave power inefficient (many small operations
 instead of fewer large ones).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python2,systemd

override_dh_install:
	# Debian currently does not ship python-perf from src:linux
	# see https://bugs.debian.org/860957 for details
	$(RM) -f $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tuned/plugins/plugin_scheduler.py
	dh_install --fail-missing

override_dh_auto_test:
	# pass

## tuned 2.9.0

=== debian/changelog ===
tuned (2.9.0-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Prokop ]
  * Recommend linux-cpupower to provide x86_energy_perf_policy tool

  [ Evgeni Golov ]
  * fix Vcs-Git Url
  * drop patches applied upstream
  * refresh libexec.patch
  * use versioned debhelper, not dh-systemd
  * Standards-Version: 4.1.1
  * update installed files
  * use dh_missing
  * drop unused overrides
  * disable process matching support

 -- Evgeni Golov <evgeni@debian.org>  Thu, 02 Nov 2017 19:48:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10.3),
                desktop-file-utils,
                dh-python,
-               dh-systemd,
                ethtool,
                hdparm,
                pkg-config,
@@ -18,9 +17,9 @@
                python-gi,
                python-pyudev,
                systemd
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.tuned-project.org/
-Vcs-Git: https://anonscm.debian.org/collab-maint/tuned.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tuned.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tuned.git
 
 Package: tuned
@@ -39,6 +38,7 @@
          virt-what,
          ${misc:Depends},
          ${python:Depends}
+Recommends: linux-cpupower
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 	# Debian currently does not ship python-perf from src:linux
 	# see https://bugs.debian.org/860957 for details
 	$(RM) -f $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/tuned/plugins/plugin_scheduler.py
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_test:
 	# pass

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/redhat-performance/tuned/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tuned 2.10.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # which config to use in mock-build target
 MOCK_CONFIG = rhel-7-x86_64
 # scratch-build for triggering Jenkins
-SCRATCH_BUILD_TARGET = rhel-7.2-candidate
+SCRATCH_BUILD_TARGET = rhel-7.5-candidate
 VERSION = $(shell awk '/^Version:/ {print $$2}' tuned.spec)
 GIT_DATE = $(shell date +'%Y%m%d')
 ifeq ($(BUILD), release)
@@ -20,18 +20,36 @@
 	RPM_VERSION = $(NAME)-$(VERSION)-1$(GIT_PSUFFIX)
 endif
 UNITDIR_FALLBACK = /usr/lib/systemd/system
-UNITDIR_DETECT = $(shell rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
+UNITDIR_DETECT = $(shell pkg-config systemd --variable systemdsystemunitdir || rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
 UNITDIR = $(UNITDIR_DETECT:%{_unitdir}=$(UNITDIR_FALLBACK))
 TMPFILESDIR_FALLBACK = /usr/lib/tmpfiles.d
-TMPFILESDIR_DETECT = $(shell rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
+TMPFILESDIR_DETECT = $(shell pkg-config systemd --variable tmpfilesdir || rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
 TMPFILESDIR = $(TMPFILESDIR_DETECT:%{_tmpfilesdir}=$(TMPFILESDIR_FALLBACK))
 VERSIONED_NAME = $(NAME)-$(VERSION)$(GIT_PSUFFIX)
 
+SYSCONFDIR = /etc
 DATADIR = /usr/share
 DOCDIR = $(DATADIR)/doc/$(NAME)
-PYTHON_SITELIB = $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib();' || echo /usr/lib/python2.7/site-packages)
+PYTHON = python3
+PYLINT = pylint-3
+ifeq ($(PYTHON),python2)
+PYLINT = pylint-2
+endif
+SHEBANG_REWRITE_REGEX= '1s/^(\#!\/usr\/bin\/)\<python\>/\1$(PYTHON)/'
+PYTHON_SITELIB = $(shell $(PYTHON) -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib());')
+ifeq ($(PYTHON_SITELIB),)
+$(error Failed to determine python library directory)
+endif
 TUNED_PROFILESDIR = /usr/lib/tuned
+TUNED_RECOMMEND_DIR = $(TUNED_PROFILESDIR)/recommend.d
+TUNED_USER_RECOMMEND_DIR = $(SYSCONFDIR)/tuned/recommend.d
 BASH_COMPLETIONS = $(DATADIR)/bash-completion/completions
+
+copy_executable = install -Dm 0755 $(1) $(2)
+rewrite_shebang = sed -i -r -e $(SHEBANG_REWRITE_REGEX) $(1)
+restore_timestamp = touch -r $(1) $(2)
+install_python_script = $(call copy_executable,$(1),$(2)) \
+	&& $(call rewrite_shebang,$(2)) && $(call restore_timestamp,$(1),$(2));
 
 release-dir:
 	mkdir -p $(VERSIONED_NAME)
@@ -48,18 +66,18 @@
 		$(VERSIONED_NAME)
 
 archive: clean release-cp
-	tar cjf $(VERSIONED_NAME).tar.bz2 $(VERSIONED_NAME)
+	tar czf $(VERSIONED_NAME).tar.gz $(VERSIONED_NAME)
 
 rpm-build-dir:
 	mkdir rpm-build-dir
 
 srpm: archive rpm-build-dir
 	rpmbuild --define "_sourcedir `pwd`/rpm-build-dir" --define "_srcrpmdir `pwd`/rpm-build-dir" \
-		--define "_specdir `pwd`/rpm-build-dir" --nodeps $(RPM_ARGS) -ts $(VERSIONED_NAME).tar.bz2
+		--define "_specdir `pwd`/rpm-build-dir" --nodeps $(RPM_ARGS) -ts $(VERSIONED_NAME).tar.gz
 
 rpm: archive rpm-build-dir
 	rpmbuild --define "_sourcedir `pwd`/rpm-build-dir" --define "_srcrpmdir `pwd`/rpm-build-dir" \
-		--define "_specdir `pwd`/rpm-build-dir" --nodeps $(RPM_ARGS) -tb $(VERSIONED_NAME).tar.bz2
+		--define "_specdir `pwd`/rpm-build-dir" --nodeps $(RPM_ARGS) -tb $(VERSIONED_NAME).tar.gz
 
 clean-mock-result-dir:
 	rm -f mock-result-dir/*
@@ -88,7 +106,7 @@
 
 # scratch build to triggering Jenkins
 scratch-build: mock-devel-build
-	brew build --scratch --nowait rhel-7.2-candidate `ls mock-result-dir/*$(GIT_DATE)git*.*.src.rpm | head -n 1`
+	brew build --scratch --nowait $(SCRATCH_BUILD_TARGET) `ls mock-result-dir/*$(GIT_DATE)git*.*.src.rpm | head -n 1`
 
 nightly: tidy-mock-result-dir createrepo scratch-build
 	rsync -ave ssh --delete --progress mock-result-dir/ jskarvad@fedorapeople.org:/home/fedora/jskarvad/public_html/tuned/devel/repo/
@@ -100,42 +118,52 @@
 	mkdir -p $(DESTDIR)/var/log/tuned
 	mkdir -p $(DESTDIR)/run/tuned
 	mkdir -p $(DESTDIR)$(DOCDIR)
+	mkdir -p $(DESTDIR)$(SYSCONFDIR)
+	mkdir -p $(DESTDIR)$(TUNED_RECOMMEND_DIR)
+	mkdir -p $(DESTDIR)$(TUNED_USER_RECOMMEND_DIR)
 
 install: install-dirs
 	# library
 	cp -a tuned $(DESTDIR)$(PYTHON_SITELIB)
 
 	# binaries
-	install -Dpm 0755 tuned.py $(DESTDIR)/usr/sbin/tuned
-	install -Dpm 0755 tuned-adm.py $(DESTDIR)/usr/sbin/tuned-adm
-	install -Dpm 0755 tuned-gui.py $(DESTDIR)/usr/sbin/tuned-gui
-	$(foreach file, $(wildcard systemtap/*), \
-		install -Dpm 0755 $(file) $(DESTDIR)/usr/sbin/$(notdir $(file));)
+	$(call install_python_script,tuned.py,$(DESTDIR)/usr/sbin/tuned)
+	$(call install_python_script,tuned-adm.py,$(DESTDIR)/usr/sbin/tuned-adm)
+	$(call install_python_script,tuned-gui.py,$(DESTDIR)/usr/sbin/tuned-gui)
+
+	$(foreach file, diskdevstat netdevstat scomes, \
+		install -Dpm 0755 systemtap/$(file) $(DESTDIR)/usr/sbin/$(notdir $(file));)
+	$(call install_python_script, \
+		systemtap/varnetload, $(DESTDIR)/usr/sbin/varnetload)
 
 	# glade
-	install -Dpm 0755 tuned-gui.glade $(DESTDIR)$(DATADIR)/tuned/ui/tuned-gui.glade
+	install -Dpm 0644 tuned-gui.glade $(DESTDIR)$(DATADIR)/tuned/ui/tuned-gui.glade
 
 	# tools
-	install -Dpm 0755 experiments/powertop2tuned.py $(DESTDIR)/usr/bin/powertop2tuned
+	$(call install_python_script, \
+		 experiments/powertop2tuned.py, $(DESTDIR)/usr/bin/powertop2tuned)
 
 	# configuration files
-	install -Dpm 0644 tuned-main.conf $(DESTDIR)/etc/tuned/tuned-main.conf
+	install -Dpm 0644 tuned-main.conf $(DESTDIR)$(SYSCONFDIR)/tuned/tuned-main.conf
 	# None profile in the moment, autodetection will be used
-	echo -n > $(DESTDIR)/etc/tuned/active_profile
-	install -Dpm 0644 bootcmdline $(DESTDIR)/etc/tuned/bootcmdline
-	install -Dpm 0644 modules.conf $(DESTDIR)/etc/modprobe.d/tuned.conf
+	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/active_profile
+	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/profile_mode
+	install -Dpm 0644 bootcmdline $(DESTDIR)$(SYSCONFDIR)/tuned/bootcmdline
+	install -Dpm 0644 modules.conf $(DESTDIR)$(SYSCONFDIR)/modprobe.d/tuned.conf
 
 	# profiles & system config
 	cp -a profiles/* $(DESTDIR)$(TUNED_PROFILESDIR)/
 	mv $(DESTDIR)$(TUNED_PROFILESDIR)/realtime/realtime-variables.conf \
-		$(DESTDIR)/etc/tuned/realtime-variables.conf
+		$(DESTDIR)$(SYSCONFDIR)/tuned/realtime-variables.conf
 	mv $(DESTDIR)$(TUNED_PROFILESDIR)/realtime-virtual-guest/realtime-virtual-guest-variables.conf \
-		$(DESTDIR)/etc/tuned/realtime-virtual-guest-variables.conf
+		$(DESTDIR)$(SYSCONFDIR)/tuned/realtime-virtual-guest-variables.conf
 	mv $(DESTDIR)$(TUNED_PROFILESDIR)/realtime-virtual-host/realtime-virtual-host-variables.conf \
-		$(DESTDIR)/etc/tuned/realtime-virtual-host-variables.conf
+		$(DESTDIR)$(SYSCONFDIR)/tuned/realtime-virtual-host-variables.conf
 	mv $(DESTDIR)$(TUNED_PROFILESDIR)/cpu-partitioning/cpu-partitioning-variables.conf \
-		$(DESTDIR)/etc/tuned/cpu-partitioning-variables.conf
-	install -pm 0644 recommend.conf $(DESTDIR)$(TUNED_PROFILESDIR)/recommend.conf
+		$(DESTDIR)$(SYSCONFDIR)/tuned/cpu-partitioning-variables.conf
+	mv $(DESTDIR)$(TUNED_PROFILESDIR)/sap-hana-vmware/sap-hana-vmware-variables.conf \
+		$(DESTDIR)$(SYSCONFDIR)/tuned/sap-hana-vmware-variables.conf
+	install -pm 0644 recommend.conf $(DESTDIR)$(TUNED_RECOMMEND_DIR)/50-tuned.conf
 
 	# bash completion
 	install -Dpm 0644 tuned-adm.bash $(DESTDIR)$(BASH_COMPLETIONS)/tuned-adm
@@ -147,10 +175,10 @@
 	install -Dpm 0644 tuned.service $(DESTDIR)$(UNITDIR)/tuned.service
 
 	# dbus configuration
-	install -Dpm 0644 dbus.conf $(DESTDIR)/etc/dbus-1/system.d/com.redhat.tuned.conf
+	install -Dpm 0644 dbus.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/com.redhat.tuned.conf
 
 	# grub template
-	install -Dpm 0755 00_tuned $(DESTDIR)/etc/grub.d/00_tuned
+	install -Dpm 0755 00_tuned $(DESTDIR)$(SYSCONFDIR)/grub.d/00_tuned
 
 	# polkit configuration
 	install -Dpm 0644 com.redhat.tuned.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.policy
@@ -166,7 +194,8 @@
 
 	# libexec scripts
 	$(foreach file, $(wildcard libexec/*), \
-		install -Dpm 0755 $(file) $(DESTDIR)/usr/libexec/tuned/$(notdir $(file));)
+		$(call install_python_script, \
+			$(file), $(DESTDIR)/usr/libexec/tuned/$(notdir $(file))))
 
 	# icon
 	install -Dpm 0644 icons/tuned.svg $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/tuned.svg
@@ -180,9 +209,9 @@
 	rm -rf $(VERSIONED_NAME) rpm-build-dir
 
 test:
-	python -m unittest discover tests
+	$(PYTHON) -m unittest discover tests
 
 lint:
-	pylint -E -f parseable tuned *.py
+	$(PYLINT) -E -f parseable tuned *.py
 
 .PHONY: clean archive srpm tag test lint

=== debian/changelog ===
tuned (2.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #908053)
  * refresh libexec.patch
  * move Vcs to salsa
  * install mssql files
  * Standards-Version: 4.2.1
  * https homepage
  * Switch to Python3 (Closes: #908052)
  * backport upstream patch for python 3.7 compat
  * backport upstream patch to fix tuned-adm w/o action

 -- Evgeni Golov <evgeni@debian.org>  Thu, 06 Sep 2018 11:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
                ethtool,
                hdparm,
                pkg-config,
-               python-all,
-               python-configobj,
-               python-dbus,
-               python-decorator,
-               python-flexmock,
-               python-gi,
-               python-pyudev,
+               python3-all,
+               python3-configobj,
+               python3-dbus,
+               python3-decorator,
+               python3-flexmock,
+               python3-gi,
+               python3-pyudev,
                systemd
-Standards-Version: 4.1.1
-Homepage: http://www.tuned-project.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tuned.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tuned.git
+Standards-Version: 4.2.1
+Homepage: https://tuned-project.org/
+Vcs-Git: https://salsa.debian.org/debian/tuned.git
+Vcs-Browser: https://salsa.debian.org/debian/tuned
 
 Package: tuned
 Architecture: all
@@ -30,14 +30,14 @@
          hdparm,
          policykit-1 (>= 0.105-17~),
          procps,
-         python-configobj,
-         python-dbus,
-         python-decorator,
-         python-gi,
-         python-pyudev,
+         python3-configobj,
+         python3-dbus,
+         python3-decorator,
+         python3-gi,
+         python3-pyudev,
          virt-what,
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: linux-cpupower
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
@@ -50,10 +50,10 @@
 Architecture: all
 Depends: gir1.2-gtk-3.0,
          powertop,
-         python-gi,
+         python3-gi,
          tuned (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: GTK+ GUI for tuned
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -69,7 +69,7 @@
 Depends: powertop,
          tuned (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: various tuned utilities
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -85,7 +85,7 @@
 Depends: systemtap,
          tuned (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: disk and net statistic monitoring systemtap scripts
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ --with python2,systemd
+	dh $@ --with python3,systemd
 
 override_dh_install:
 	# Debian currently does not ship python-perf from src:linux

## tuned 2.14.0

=== debian/changelog ===
tuned (2.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #966555)
  * Drop patches taken from upstream:
    + no_action
    + python37
  * add ncat to depends and python3-demidecode to recommends
  * enable procfs support
    + Depend on python3-linux-procfs
    + Drop disable-process-matching patch
  * correct debian watch
  * Standards-Version: 4.5.1
  * use debhelper 13 compat level
  * enable tests
  * use /etc/default not /etc/sysconfig (Closes: #930509)
  * explicitly use bash, not sh for scripts (Closes: #930489)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 13 Dec 2020 13:06:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
                ethtool,
@@ -13,11 +13,10 @@
                python3-configobj,
                python3-dbus,
                python3-decorator,
-               python3-flexmock,
                python3-gi,
                python3-pyudev,
                systemd
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git
 Vcs-Browser: https://salsa.debian.org/debian/tuned
@@ -28,17 +27,19 @@
          ethtool,
          gawk,
          hdparm,
+         ncat,
          policykit-1 (>= 0.105-17~),
          procps,
          python3-configobj,
          python3-dbus,
          python3-decorator,
+         python3-linux-procfs,
          python3-gi,
          python3-pyudev,
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower
+Recommends: linux-cpupower, python3-dmidecode
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.

## tuned 2.15.0

=== debian/changelog ===
tuned (2.15.0-1ubuntu1) jammy; urgency=medium

  * VMware VMs experience 100% CPU usage when the latency-performance tuned
    profile is enabled (LP: #2103840)
    - d/p/lp2103840-0001-Expanding-cpu-plugin-force_latency-option-syntax.patch
    - d/p/lp2103840-0002-profiles-use-cstate.id_no_zero-instead-of-the-cstate.patch

 -- Chengen Du <chengen.du@canonical.com>  Sat, 22 Mar 2025 03:49:36 +0000

tuned (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * use dmicode instead of python3-dmicode, upstream switched code
  * move hdparm to recommends
  * add kmod to recommends
  * add new postgresql profile
  * drop gustavo from uploaders on his request

 -- Evgeni Golov <evgeni@debian.org>  Sat, 26 Dec 2020 09:21:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
-Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
@@ -26,7 +26,6 @@
 Depends: dbus,
          ethtool,
          gawk,
-         hdparm,
          ncat,
          policykit-1 (>= 0.105-17~),
          procps,
@@ -39,7 +38,7 @@
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower, python3-dmidecode
+Recommends: linux-cpupower, dmidecode, hdparm, kmod
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.

## tuned 2.19.0

=== debian/changelog ===
tuned (2.19.0-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream release (Closes: #1004865)
  * drop libexec patch, it's not actually required
  * also use libexec paths when installing files
  * add new openshift profiles
  * Standards-Version: 4.6.2
  * add iproute2 to recommends
  * drop configobj dependency
  * drop dependency on python3-decorator
  * switch policykit-1 dependency to polkitd/pkexec (Closes: #1025632)

  [ Adriaan Schmidt ]
  * add patch: path to grub config
  * add patch: find grub-editenv (Closes: #988851)

 -- Evgeni Golov <evgeni@debian.org>  Wed, 21 Dec 2022 20:10:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
@@ -10,13 +9,11 @@
                hdparm,
                pkg-config,
                python3-all,
-               python3-configobj,
                python3-dbus,
-               python3-decorator,
                python3-gi,
                python3-pyudev,
                systemd
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git
 Vcs-Browser: https://salsa.debian.org/debian/tuned
@@ -27,18 +24,16 @@
          ethtool,
          gawk,
          ncat,
-         policykit-1 (>= 0.105-17~),
+         polkitd,
          procps,
-         python3-configobj,
          python3-dbus,
-         python3-decorator,
          python3-linux-procfs,
          python3-gi,
          python3-pyudev,
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower, dmidecode, hdparm, kmod
+Recommends: linux-cpupower, dmidecode, hdparm, iproute2, kmod
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -49,6 +44,7 @@
 Package: tuned-gtk
 Architecture: all
 Depends: gir1.2-gtk-3.0,
+         pkexec,
          powertop,
          python3-gi,
          tuned (= ${binary:Version}),

## tuned 2.20.0

=== debian/changelog ===
tuned (2.20.0-1) unstable; urgency=medium

  * New upstream release
    + refresh debian/patches/etc-default.patch
    + new cpu-partitioning-powersave profile
    + new aws profile
  * drop ncat Depends, the use was removed upstream
  * add simple autopkgtests
  * move tuned-gui manpage to tuned-gtk

 -- Evgeni Golov <evgeni@debian.org>  Sun, 19 Feb 2023 14:22:27 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Depends: dbus,
          ethtool,
          gawk,
-         ncat,
          polkitd,
          procps,
          python3-dbus,
@@ -50,6 +49,7 @@
          tuned (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends}
+Replaces: tuned (<< 2.20.0-1~)
 Description: GTK+ GUI for tuned
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_PYTHON_INSTALL_LAYOUT=deb_system

%:
	dh $@ --with python3

## tuned 2.21.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 # scratch-build for triggering Jenkins
 SCRATCH_BUILD_TARGET = rhel-7.5-candidate
 VERSION = $(shell awk '/^Version:/ {print $$2}' tuned.spec)
+PRERELEASENUM = $(shell awk '/^\s*%global prereleasenum/ {print $$3}' tuned.spec)
+ifneq ($(strip $(PRERELEASENUM)),)
+	PRERELEASE = -rc.$(PRERELEASENUM)
+endif
 GIT_DATE = $(shell date +'%Y%m%d')
 ifeq ($(BUILD), release)
 	RPM_ARGS += --without snapshot
@@ -19,27 +23,29 @@
 	GIT_PSUFFIX = .$(GIT_SUFFIX)
 	RPM_VERSION = $(NAME)-$(VERSION)-1$(GIT_PSUFFIX)
 endif
+PKG_CONFIG = pkg-config
 UNITDIR_FALLBACK = /usr/lib/systemd/system
-UNITDIR_DETECT = $(shell pkg-config systemd --variable systemdsystemunitdir || rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
+UNITDIR_DETECT = $(shell $(PKG_CONFIG) systemd --variable systemdsystemunitdir || rpm --eval '%{_unitdir}' 2>/dev/null || echo $(UNITDIR_FALLBACK))
 UNITDIR = $(UNITDIR_DETECT:%{_unitdir}=$(UNITDIR_FALLBACK))
 TMPFILESDIR_FALLBACK = /usr/lib/tmpfiles.d
-TMPFILESDIR_DETECT = $(shell pkg-config systemd --variable tmpfilesdir || rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
+TMPFILESDIR_DETECT = $(shell $(PKG_CONFIG) systemd --variable tmpfilesdir || rpm --eval '%{_tmpfilesdir}' 2>/dev/null || echo $(TMPFILESDIR_FALLBACK))
 TMPFILESDIR = $(TMPFILESDIR_DETECT:%{_tmpfilesdir}=$(TMPFILESDIR_FALLBACK))
-VERSIONED_NAME = $(NAME)-$(VERSION)$(GIT_PSUFFIX)
-
-SYSCONFDIR = /etc
-DATADIR = /usr/share
-DOCDIR = $(DATADIR)/doc/$(NAME)
-PYTHON = python3
+VERSIONED_NAME = $(NAME)-$(VERSION)$(PRERELEASE)$(GIT_PSUFFIX)
+
+export SYSCONFDIR = /etc
+export DATADIR = /usr/share
+export DOCDIR = $(DATADIR)/doc/$(NAME)
+PYTHON = /usr/bin/python3
 PYLINT = pylint-3
 ifeq ($(PYTHON),python2)
 PYLINT = pylint-2
 endif
-SHEBANG_REWRITE_REGEX= '1s/^(\#!\/usr\/bin\/)\<python\>/\1$(PYTHON)/'
-PYTHON_SITELIB = $(shell $(PYTHON) -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib());')
+SHEBANG_REWRITE_REGEX= '1s|^\#!/usr/bin/\<python3\>|\#!$(PYTHON)|'
+PYTHON_SITELIB = $(shell $(PYTHON) -c 'from sysconfig import get_path; print(get_path("purelib"));')
 ifeq ($(PYTHON_SITELIB),)
 $(error Failed to determine python library directory)
 endif
+KERNELINSTALLHOOKDIR = /usr/lib/kernel/install.d
 TUNED_PROFILESDIR = /usr/lib/tuned
 TUNED_RECOMMEND_DIR = $(TUNED_PROFILESDIR)/recommend.d
 TUNED_USER_RECOMMEND_DIR = $(SYSCONFDIR)/tuned/recommend.d
@@ -55,15 +61,15 @@
 	mkdir -p $(VERSIONED_NAME)
 
 release-cp: release-dir
-	cp -a AUTHORS COPYING INSTALL README $(VERSIONED_NAME)
+	cp -a AUTHORS COPYING INSTALL README.md $(VERSIONED_NAME)
 
 	cp -a tuned.py tuned.spec tuned.service tuned.tmpfiles Makefile tuned-adm.py \
 		tuned-adm.bash dbus.conf recommend.conf tuned-main.conf 00_tuned \
-		bootcmdline modules.conf com.redhat.tuned.policy \
-		com.redhat.tuned.gui.policy tuned-gui.py tuned-gui.glade \
+		92-tuned.install bootcmdline modules.conf com.redhat.tuned.policy \
+		tuned-gui.py tuned-gui.glade \
 		tuned-gui.desktop $(VERSIONED_NAME)
 	cp -a doc experiments libexec man profiles systemtap tuned contrib icons \
-		$(VERSIONED_NAME)
+		tests $(VERSIONED_NAME)
 
 archive: clean release-cp
 	tar czf $(VERSIONED_NAME).tar.gz $(VERSIONED_NAME)
@@ -110,6 +116,15 @@
 
 nightly: tidy-mock-result-dir createrepo scratch-build
 	rsync -ave ssh --delete --progress mock-result-dir/ jskarvad@fedorapeople.org:/home/fedora/jskarvad/public_html/tuned/devel/repo/
+
+html:
+	$(MAKE) -C doc/manual
+
+install-html:
+	$(MAKE) -C doc/manual install
+
+clean-html:
+	$(MAKE) -C doc/manual clean
 
 install-dirs:
 	mkdir -p $(DESTDIR)$(PYTHON_SITELIB)
@@ -148,6 +163,7 @@
 	# None profile in the moment, autodetection will be used
 	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/active_profile
 	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/profile_mode
+	echo -n > $(DESTDIR)$(SYSCONFDIR)/tuned/post_loaded_profile
 	install -Dpm 0644 bootcmdline $(DESTDIR)$(SYSCONFDIR)/tuned/bootcmdline
 	install -Dpm 0644 modules.conf $(DESTDIR)$(SYSCONFDIR)/modprobe.d/tuned.conf
 
@@ -161,8 +177,8 @@
 		$(DESTDIR)$(SYSCONFDIR)/tuned/realtime-virtual-host-variables.conf
 	mv $(DESTDIR)$(TUNED_PROFILESDIR)/cpu-partitioning/cpu-partitioning-variables.conf \
 		$(DESTDIR)$(SYSCONFDIR)/tuned/cpu-partitioning-variables.conf
-	mv $(DESTDIR)$(TUNED_PROFILESDIR)/sap-hana-vmware/sap-hana-vmware-variables.conf \
-		$(DESTDIR)$(SYSCONFDIR)/tuned/sap-hana-vmware-variables.conf
+	mv $(DESTDIR)$(TUNED_PROFILESDIR)/cpu-partitioning-powersave/cpu-partitioning-powersave-variables.conf \
+		$(DESTDIR)$(SYSCONFDIR)/tuned/cpu-partitioning-powersave-variables.conf
 	install -pm 0644 recommend.conf $(DESTDIR)$(TUNED_RECOMMEND_DIR)/50-tuned.conf
 
 	# bash completion
@@ -175,22 +191,25 @@
 	install -Dpm 0644 tuned.service $(DESTDIR)$(UNITDIR)/tuned.service
 
 	# dbus configuration
-	install -Dpm 0644 dbus.conf $(DESTDIR)$(SYSCONFDIR)/dbus-1/system.d/com.redhat.tuned.conf
+	install -Dpm 0644 dbus.conf $(DESTDIR)$(DATADIR)/dbus-1/system.d/com.redhat.tuned.conf
 
 	# grub template
 	install -Dpm 0755 00_tuned $(DESTDIR)$(SYSCONFDIR)/grub.d/00_tuned
 
+	# kernel install hook
+	install -Dpm 0755 92-tuned.install $(DESTDIR)$(KERNELINSTALLHOOKDIR)/92-tuned.install
+
 	# polkit configuration
 	install -Dpm 0644 com.redhat.tuned.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.policy
-	install -Dpm 0644 com.redhat.tuned.gui.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/com.redhat.tuned.gui.policy
 
 	# manual pages
 	$(foreach man_section, 5 7 8, $(foreach file, $(wildcard man/*.$(man_section)), \
 		install -Dpm 0644 $(file) $(DESTDIR)$(DATADIR)/man/man$(man_section)/$(notdir $(file));))
 
 	# documentation
-	cp -a doc/* $(DESTDIR)$(DOCDIR)
-	cp AUTHORS COPYING README $(DESTDIR)$(DOCDIR)
+	cp -a doc/README* $(DESTDIR)$(DOCDIR)
+	cp -a doc/*.txt $(DESTDIR)$(DOCDIR)
+	cp AUTHORS COPYING README.md $(DESTDIR)$(DOCDIR)
 
 	# libexec scripts
 	$(foreach file, $(wildcard libexec/*), \
@@ -204,14 +223,14 @@
 	install -dD $(DESTDIR)$(DATADIR)/applications
 	desktop-file-install --dir=$(DESTDIR)$(DATADIR)/applications tuned-gui.desktop
 
-clean:
+clean: clean-html
 	find -name "*.pyc" | xargs rm -f
 	rm -rf $(VERSIONED_NAME) rpm-build-dir
 
 test:
-	$(PYTHON) -m unittest discover tests
+	$(PYTHON) -B -m unittest discover tests/unit
 
 lint:
-	$(PYLINT) -E -f parseable tuned *.py
+	$(PYLINT) -E -f parseable tuned *.py tests/unit
 
 .PHONY: clean archive srpm tag test lint

=== debian/changelog ===
tuned (2.21.0-1ubuntu2) noble; urgency=medium

  * d/p/0006-CPU-plugin-log-an-error-when-running-on-s390x.patch: log an error
    about the PM_QoS control not being supported on s390x.
  * Create DEP-8 test for custom profile.
    - d/t/custom-profile: create it with the content extracted from tuned-vm
      test. Now expect an error message in the logs when running on s390x.
    - d/t/control: add the new custom-profile test.
    - d/t/tuned-vm: remove content related to custom profile.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 30 Jan 2024 17:08:58 -0300

tuned (2.21.0-1ubuntu1) noble; urgency=medium

  * d/p/0004-Recommend-the-default-profile-for-containers.patch: apply default
    profile in containers by default.
  * Build and install HTML documentation.
    - d/control: add asciidoctor as b-d.
    - d/rules: call upstream Makefile to build the doc before dh_installdocs.
    - d/tuned.doc{,-base}: install HTML documentation.
  * d/t/{control,tuned-container}: check default profile in a container.
  * d/t/{control,tuned-vm}: add test to check tuned in a VM, including a
    custom profile using dynamic features.
  * d/p/0005-Use-float-instead-of-str-in-cpu-plugin-load-threshol.patch: fix
    error when trying to set CPU latency threshold in a custom profile.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 24 Jan 2024 17:21:46 -0300

tuned (2.21.0-1) unstable; urgency=medium

  * New upstream release
  * move com.redhat.tuned.conf dbus config to /usr/share
  * new sap-hana-kvm-guest profile
  * drop explicitly-use-bin-bash-for-tuned-scripts.patch
  * README was renamed to README.md
  * remove old dbus configuration from etc on upgrade
  * package missing folders for state tracking (Closes: #1058910)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 29 Dec 2023 21:44:19 +0100

tuned (2.20.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052703)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 18:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Build-Depends: asciidoctor,
+               debhelper-compat (= 13),
                desktop-file-utils,
                dh-python,
                ethtool,
@@ -12,7 +14,8 @@
                python3-dbus,
                python3-gi,
                python3-pyudev,
-               systemd
+               systemd,
+               systemd-dev,
 Standards-Version: 4.6.2
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE = 1
 
 export DEB_PYTHON_INSTALL_LAYOUT=deb_system
+export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 %:
 	dh $@ --with python3
+
+execute_before_dh_installdocs:
+	make html

=== debian/tests/control ===
Tests: tuned-adm
Restrictions: isolation-container, needs-root
Depends: @

Tests: tuned-container
Restrictions: isolation-container, needs-root, skippable
Depends: @

Tests: tuned-vm
Restrictions: isolation-machine, needs-root
Depends: @

Tests: custom-profile
Restrictions: isolation-machine, needs-root
Depends: @

## tuned 2.22.1

=== debian/changelog ===
tuned (2.22.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2069727). Remaining changes:
    - Recommend the default profile for containers:
      + d/p/0004-Recommend-the-default-profile-for-containers.patch:
        apply default profile in containers by default
      + d/t/{control,tuned-container}: check default profile in a container
    - d/t/{control,tuned-vm}: add test to check tuned in a VM
    - d/p/0005-Use-float-instead-of-str-in-cpu-plugin-load-threshol.patch: fix
      error when trying to set CPU latency threshold in a custom profile.
      [Sent upstream]
    - d/t/tuned-vm: add tests for a custom profile using dynamic
      features
    - d/p/0006-CPU-plugin-log-an-error-when-running-on-s390x.patch:
      notify user that the CPU plugin does not work as expected on
      s390x.
      [refreshed]
    - Create DEP-8 test for custom profile:
      + d/t/custom-profile: created with content extracted from tuned-vm
        test.  Now expect an error message in the logs when running on
        s390x.
      + d/t/control: add the new custom-profile test.
      + d/t/tuned-vm: remove content related to custom profile.
  * Dropped:
    - Build and install HTML documentation.
      + d/control: add asciidoctor as b-d.
      + d/rules: call upstream Makefile to build the doc before dh_installdocs.
      + d/tuned.doc{,-base}: install HTML documentation.
      [Included in 2.21.0-2]
  * Added:
    - d/t/control: limit test dependencies to only tuned, as tuned-ppd
      changes the default profile to "balanced"
    - d/t/custom-profile: re-enable dynamic tuning, which is needed by
      this test and was disabled by upstream in 2.22.0

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 22 Jun 2024 11:07:19 -0300

tuned (2.22.1-1) unstable; urgency=medium

  * New upstream release

 -- Evgeni Golov <evgeni@debian.org>  Fri, 23 Feb 2024 17:28:08 +0100

tuned (2.22.0-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * add tuned-ppd package
  * recommend linux-perf, some plugins need it to operate
  * register manual with doc-base

 -- Evgeni Golov <evgeni@debian.org>  Thu, 22 Feb 2024 17:35:16 +0100

tuned (2.21.0-2) unstable; urgency=medium

  * Don't build-depend on systemd, systemd-dev is enough for building
    (Closes: #1060596)
  * Build-depend on pkgconf not pkg-config
  * build HTML documentation

 -- Evgeni Golov <evgeni@debian.org>  Sun, 18 Feb 2024 19:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
                dh-python,
                ethtool,
                hdparm,
-               pkg-config,
+               pkgconf,
                python3-all,
                python3-dbus,
                python3-gi,
                python3-pyudev,
-               systemd,
                systemd-dev,
 Standards-Version: 4.6.2
 Homepage: https://tuned-project.org/
@@ -35,7 +34,7 @@
          virt-what,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: linux-cpupower, dmidecode, hdparm, iproute2, kmod
+Recommends: linux-cpupower, linux-perf, dmidecode, hdparm, iproute2, kmod
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -62,6 +61,17 @@
  .
  This package contains the GTK+ GUI that can control tuned and provides simple
  profile editor.
+
+Package: tuned-ppd
+Architecture: all
+Depends: tuned (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
+Conflicts: power-profiles-daemon
+Provides: power-profiles-daemon
+Description: PPD compatibility daemon
+ An API translation daemon that allows applications to easily transition
+ to TuneD from power-profiles-daemon (PPD).
 
 Package: tuned-utils
 Architecture: all

=== debian/tests/control ===
Tests: tuned-adm
Restrictions: isolation-container, needs-root
Depends: tuned

Tests: tuned-container
Restrictions: isolation-container, needs-root, skippable
Depends: tuned

Tests: tuned-vm
Restrictions: isolation-machine, needs-root
Depends: tuned

Tests: custom-profile
Restrictions: isolation-machine, needs-root
Depends: tuned
